diff --git a/lang/cat.l b/lang/cat.l
index 5bc4cb398..ffa29a3fc 100644
--- a/lang/cat.l
+++ b/lang/cat.l
@@ -1821,6 +1821,10 @@ MEMO_SENT
 MEMO_MASS_SENT
 	A massmemo has been sent to all registered users.
 	
+# STAFF responses
+MEMO_STAFF_SYNTAX
+	STAFF memo-text
+	
 # CANCEL responses
 MEMO_CANCEL_SYNTAX
 	CANCEL {nick | canal}
diff --git a/lang/de.l b/lang/de.l
index 3096f35a0..8eb97e964 100644
--- a/lang/de.l
+++ b/lang/de.l
@@ -1825,6 +1825,10 @@ MEMO_SENT
 MEMO_MASS_SENT
 	Ein Massen-Memo wurde an alle regsitrierte User gesendet.
 	
+# STAFF responses
+MEMO_STAFF_SYNTAX
+	STAFF memo-text
+	
 # CANCEL responses
 MEMO_CANCEL_SYNTAX
 	CANCEL {Nickname | Channel}
diff --git a/lang/en_us.l b/lang/en_us.l
index 63212af6e..1b990a2a6 100644
--- a/lang/en_us.l
+++ b/lang/en_us.l
@@ -1786,6 +1786,10 @@ MEMO_SENT
 MEMO_MASS_SENT
 	A massmemo has been sent to all registered users.
 	
+# STAFF responses
+MEMO_STAFF_SYNTAX
+	STAFF memo-text
+	
 # CANCEL responses
 MEMO_CANCEL_SYNTAX
 	CANCEL {nick | channel}
diff --git a/lang/es.l b/lang/es.l
index 6ff9640bf..2a2f8ded0 100644
--- a/lang/es.l
+++ b/lang/es.l
@@ -1821,6 +1821,10 @@ MEMO_SENT
 MEMO_MASS_SENT
 	Un massmemo ha sido enviado a todos los usuarios registrados.
 	
+# STAFF responses
+MEMO_STAFF_SYNTAX
+	STAFF memo-text
+	
 # CANCEL responses
 MEMO_CANCEL_SYNTAX
 	CANCEL {nick | canal}
diff --git a/lang/fr.l b/lang/fr.l
index 5b4dc6d38..d0663d70f 100644
--- a/lang/fr.l
+++ b/lang/fr.l
@@ -1830,6 +1830,10 @@ MEMO_SENT
 MEMO_MASS_SENT
 	Un mass memo a été envoyé a tout les pseudos enregistrés.
 	
+# STAFF responses
+MEMO_STAFF_SYNTAX
+	STAFF memo-text
+	
 # CANCEL responses
 MEMO_CANCEL_SYNTAX
 	CANCEL {pseudo | canal}
diff --git a/lang/gr.l b/lang/gr.l
index 0466d1a5a..9fff0fa40 100644
--- a/lang/gr.l
+++ b/lang/gr.l
@@ -1821,7 +1821,11 @@ MEMO_SENT
 	
 # CANCEL responses
 MEMO_MASS_SENT
-	A massmemo has been sent to all registered users.
+	A mass memo has been sent to all registered users.
+	
+# STAFF responses
+MEMO_STAFF_SYNTAX
+	STAFF memo-text
 	
 # CANCEL responses
 MEMO_CANCEL_SYNTAX
diff --git a/lang/hun.l b/lang/hun.l
index fbb129d2c..a179e1461 100644
--- a/lang/hun.l
+++ b/lang/hun.l
@@ -1826,6 +1826,10 @@ MEMO_CANCEL_NONE
 	Nincs visszavont memo üzenet.
 MEMO_CANCELLED
 	%s részére küldött utolsó memo üzenet visszavonva.
+	
+# STAFF responses
+MEMO_STAFF_SYNTAX
+	STAFF memo-text
 
 # LIST válaszok
 MEMO_LIST_SYNTAX
diff --git a/lang/it.l b/lang/it.l
index 3154ca82f..3634aa287 100644
--- a/lang/it.l
+++ b/lang/it.l
@@ -1798,6 +1798,10 @@ MEMO_SENT
 MEMO_MASS_SENT
 	Un memo di massa è stato inviato a tutti gli utenti registrati.
 	
+# STAFF responses
+MEMO_STAFF_SYNTAX
+	STAFF memo-text
+	
 # CANCEL responses
 MEMO_CANCEL_SYNTAX
 	CANCEL {nick | canale}
diff --git a/lang/nl.l b/lang/nl.l
index 4d135493c..77da98a33 100644
--- a/lang/nl.l
+++ b/lang/nl.l
@@ -1810,11 +1810,13 @@ MEMO_X_HAS_TOO_MANY_MEMOS
 	%s heeft momenteel te veel memo's en kan er geen meer ontvangen.
 MEMO_SENT
 	Memo verstuurd naar %s.
-	
-# CANCEL responses
 MEMO_MASS_SENT
 	Een memo werd gestuurd naar alle geregistreerde gebruikers.
 	
+# STAFF responses
+MEMO_STAFF_SYNTAX
+	STAFF memo-text
+	
 # CANCEL responses
 MEMO_CANCEL_SYNTAX
 	CANCEL {nick | kanaal}
diff --git a/lang/pl.l b/lang/pl.l
index 9111557c9..83b06dd68 100644
--- a/lang/pl.l
+++ b/lang/pl.l
@@ -2376,6 +2376,9 @@ MEMO_SENT
 MEMO_MASS_SENT
 	Wiadomo¶æ zosta³a wys³ana do wszystkich zarejestrowanych u¿ytkowników.
 	
+# STAFF responses
+MEMO_STAFF_SYNTAX
+	STAFF memo-text
 
 # CANCEL responses
 MEMO_CANCEL_SYNTAX
diff --git a/lang/pt.l b/lang/pt.l
index c3822d71f..179f8c57c 100644
--- a/lang/pt.l
+++ b/lang/pt.l
@@ -1808,6 +1808,10 @@ MEMO_SENT
 MEMO_MASS_SENT
 	Uma mensagem global foi enviada a todos os usuários registrados.
 	
+# STAFF responses
+MEMO_STAFF_SYNTAX
+	STAFF memo-text
+	
 # CANCEL responses
 MEMO_CANCEL_SYNTAX
 	CANCEL {nick | canal}
diff --git a/lang/ru.l b/lang/ru.l
index 0fd02575a..50c70b3b3 100644
--- a/lang/ru.l
+++ b/lang/ru.l
@@ -1785,6 +1785,10 @@ MEMO_SENT
 	Ìåìî-ñîîáùåíèå äëÿ %s óñïåøíî îòïðàâëåíî.
 MEMO_MASS_SENT
 	Ìàññîâîå ñîîáùåíèå óñïåøíî îòïðàâëåíî âñåì çàðåãèñòðèðîâàííûì ïîëüçîâàòåëÿì.
+	
+# STAFF responses
+MEMO_STAFF_SYNTAX
+	STAFF memo-text
 
 # CANCEL responses
 MEMO_CANCEL_SYNTAX
diff --git a/lang/tr.l b/lang/tr.l
index d50318c00..2fef3b343 100644
--- a/lang/tr.l
+++ b/lang/tr.l
@@ -1818,6 +1818,10 @@ MEMO_SENT
 MEMO_MASS_SENT
 	A massmemo has been sent to all registered users.
 	
+# STAFF responses
+MEMO_STAFF_SYNTAX
+	STAFF memo-text
+	
 # CANCEL responses
 MEMO_CANCEL_SYNTAX
 	CANCEL {nick | kanaladý}
diff --git a/src/core/ms_staff.c b/src/core/ms_staff.c
index 7c2f3aeb5..1b634230f 100644
--- a/src/core/ms_staff.c
+++ b/src/core/ms_staff.c
@@ -79,7 +79,7 @@ int do_staff(User * u)
         notice_lang(s_MemoServ, u, OPER_DEFCON_DENIED);
         return MOD_CONT;
     } else if (text == NULL) {
-        syntax_error(s_MemoServ, u, "SEND", MEMO_SEND_SYNTAX);
+        syntax_error(s_MemoServ, u, "STAFF", MEMO_STAFF_SYNTAX);
         return MOD_CONT;
     }
 
diff --git a/version.log b/version.log
index 383dc8a27..c01034f0c 100644
--- a/version.log
+++ b/version.log
@@ -9,10 +9,15 @@ VERSION_MAJOR="1"
 VERSION_MINOR="8"
 VERSION_PATCH="0"
 VERSION_EXTRA="-svn"
-VERSION_BUILD="2218"
+VERSION_BUILD="2245"
 
 # $Log$ # Changes since 1.8.0 Release
 
+#Revision 2245 - Backport of bugfix for bug #1050 from SVN r2163, patch from Adam, MS STAFF's syntax shows correctly, required adding a language string as well, currently they are all English until they can be properly translated.
+#Revision 2240 - Fix compile error with inspircd11 module.
+#Revision 2221 - Modified patch to change vhost removal to work correctly in all cases, originally by Szymek.
+#Revision 2220 - Correctly initialise variables in jointhrottle check, noted by Szymek.
+#Revision 2219 - Remove insp1.0 protocol modules. 1.0 has been unsupported by upstream for a very long time, and they contain a number of bugs since fixed in the 1.1 module.
 #Revision 2218 - Backport of bugfix for bug #1073 from SVN r2217, fantasy commands in CTCP ACTIONS will now be ignored instead of processed.
 #Revision 2199 - Correct backport of bug #1064, patch from DukePyrolator, there is no nc on the User struct in 1.8.x, use nickTrack instead, oops.
 #Revision 2196 - Backport of bugfix for bug #1044 from SVN r2195, CS SET MLOCK no longer requires a parameter, and leaving out the parameter renders the mlock to +r as it should be.
